#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python2
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python2-pycurl
Version		:	7.45.1
Release		:	14.4.0.0%{?dist}
Summary		:	A Python interface to libcurl
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ or MIT
URL		:	https://github.com/pycurl/pycurl

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
Requires	:	curl >= 7.19.0
#-----------------------------------------------------------------------------
%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
PYTHON=%(basename %{__python})				\
PYCURL_SSL_LIBRARY=openssl				\
	%{__make}					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python} 						\
	setup.py					\
	--with-openssl					\
	install						\
	--root %{buildroot}

rm -rf %{buildroot}%{_datadir}/doc/pycurl

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.rst
%{python2_sitelib}/curl/__init__.py*
%{python2_sitelib}/%{sname}-*.egg-info
%{python2_sitelib}/%{sname}.so

#-----------------------------------------------------------------------------
%changelog
